Upload throws error "Uncaught TypeError: Object #<FileReader> has no method 'loadImage' "
Closed, ResolvedPublic

Description

UploadWizard throws an error on the first step, referencing line 431 of mw.UploadWizardUploadInterface.js: Uncaught TypeError: Object #<FileReader> has no method 'loadImage'. The upload proceeds, but thumbnails are only rendered after the files are uploaded (normally they should be rendered locally).

(Google Chrome, Ubuntu)


Version: unspecified
Severity: major

bzimport set Reference to bz49550.
Eloquence created this task.Via LegacyJun 13 2013, 9:25 PM
gerritbot added a comment.Via ConduitJun 13 2013, 10:20 PM

Related URL: https://gerrit.wikimedia.org/r/68574 (Gerrit Change Ib2aeec742b6db04be8ceb0097b8ab06d91f9e033)

MarkTraceur added a comment.Via ConduitJun 13 2013, 11:18 PM

Someone didn't understand how "this" works in JavaScript, but that's OK, it's fixed now. A merge would be appreciated.

Krenair added a comment.Via ConduitJun 14 2013, 6:40 PM

Merged.

MarkTraceur added a comment.Via ConduitJun 14 2013, 9:41 PM

Deployed to commons, let me know if there are any more issues.

Agh, I should probably put this on wmf7 too...

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:32 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 9:34 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.